# :mode=ruby:
namespace :deploy do
  desc 'Configure Puma'
  task :configure_puma do
    target_file = File.join(shared_path, 'config', 'puma.rb')
    on roles(:app) do
      unless test "[ -f #{target_file} ]"
        template = ERB.new(IO.read(File.join(Dir.pwd, 'config', 'deploy', 'templates', 'puma.rb.erb')))
        upload!(StringIO.new(template.result(binding)), target_file)
      end
    end
  end

  before 'deploy:finishing', 'deploy:generate_secret_token'
end
